﻿<table width="95%">
    <tr>
        <td valign="top">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td style="width: 65px; height: 30px;" valign="top">
                        Valid From
                    </td>                                                                                                    
                    <td valign="top">
                        @Html.DevExpress().DateEdit(
                            edtSettings =>
                            {
                                edtSettings.Name = "deValidFrom";
                                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(130);
                                edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                            }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td valign="top" style="height: 30px;">
                        Valid To
                    </td>
                    <td valign="top" valign="top">
                        <table cellpadding="0" cellspacing="0">
                            <tr>
                                <td colspan="2" valign="top" style="height: 30px;">
                                    @Html.DevExpress().DateEdit(
                                        edtSettings =>
                                        {
                                            edtSettings.Name = "deValidTo";
                                            edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(130);
                                            edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                            edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                                        }).GetHtml()
                                </td>
                            </tr>
                            <tr>
                                <td valign="top">
                                    @Html.DevExpress().CheckBox(
                                        settings =>
                                        {
                                            settings.Name = "cbWorkDayOnly";
                                            settings.Style.Value = "padding-left:0px;padding-top:0px;";
                                            //settings.Properties.ClientSideEvents.ValueChanged = "cbWorkDayOnly_Click";
                                        }).GetHtml()
                                        <br />
                                </td>
                                <td valign="top">
                                    @Html.DevExpress().Label(
                                        label =>
                                        {
                                            label.ControlStyle.CssClass = "Label";
                                            label.Text = "Delivery for working day only";
                                            label.EncodeHtml = false;
                                        }).GetHtml()
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <table cellpadding="0" cellspacing="0" align="center"  style="margin-top: 10px;">
                            <tr>
                                <td valign="top">
                                    @Html.DevExpress().Button(
                                        setting =>
                                        {
                                            setting.EncodeHtml = false;
                                            setting.Name = "btnReplicateSubmit";
                                            setting.Text = "Replicate";
                                            setting.ClientSideEvents.Click = "btnReplicateSubmit_Click";
                                        }).GetHtml()
                                </td>
                                <td style="width: 1px;">
                                    <table cellpadding="0" cellspacing="0" style="height: 27px;">
                                        <tr>
                                            <td style="border-right:1px solid #4F93E3;">&nbsp;</td>
                                            <td>&nbsp;</td>
                                        </tr>
                                    </table>
                                </td>
                                <td>
                                    <table cellpadding="0" cellspacing="0">
                                        <tr>
                                            <td valign="top">
                                                @Html.DevExpress().Button(
                                                    setting =>
                                                    {
                                                        setting.EncodeHtml = false;
                                                        setting.Name = "btnAddExeption";
                                                        setting.Text = "Add Date";
                                                        setting.ClientSideEvents.Click = "function(s, e){ gridDeliveryNonTLMSReplicateExeption.AddNewRow(); }";
                                                    }).GetHtml()
                                            </td>
                                            <td style="width: 1px;">&nbsp;</td>
                                            <td valign="top">
                                                @Html.DevExpress().Button(
                                                    setting =>
                                                    {
                                                        setting.EncodeHtml = false;
                                                        setting.Name = "btnDeleteExeption";
                                                        setting.Text = "Delete Date";
                                                        setting.ClientSideEvents.Click = "btnDeleteExeption_Click";
                                                    }).GetHtml()
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
        <td>
            @Html.Action("PartialGridTLMSExeptionDate", "DeliveryNonTLMS")
        </td>
    </tr>
</table>